[Jaunty] Intel wireless 3945ABG is unstable and disconnects frequently

Bug #348204 reported by gdfs gsg dfs on 2009-03-24
332
This bug affects 57 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by another_sam
Nominated for Lucid by HidingGeryan
network-manager (Ubuntu)
Undecided
Unassigned
Nominated for Karmic by another_sam
Nominated for Lucid by HidingGeryan

Bug Description

I use Jaunty alpha 6 with kernel 2.6.28-11

The wireless connection is realy unstable with intel 3945ABG. I frequently lost the connection and i have to restart NetworkManager (sudo /etc/init.d/NetworkManager restart) to connect again.

It seems going worst and worst since the fifth alpha.

If you need some informations, feel free to contact me.

Faeq (faeq) wrote :

it also happens to me, with all updates installed till today,
wireless disconnects and reconnects every 5-10 minutes.

8200 (8200) wrote :

I can exactly confirm this bug using jaunty beta.

My notebook (acer aspire 5610) stands only 3 meters away from the accesspoint. So the signal is just perfect.
But I have tested it now far a few times: average after 465 seconds I loose connection (minimum 70 s, maxmimum 900 s).

When the connection is down the network-manager icon displays still "connected to...".

Reconnecting is possible but it really sucks.

md5sum of the jaunty cd-image I am using: 03b63dada5e5fce0119a52d822e406a1

uname -r: 2.6.28-11-generic

I got the same problem and already tried with installing the backports. This is really annoying.
This is the part in DMESG where you can find the problem. I added the complete DMESG file.

[ 573.852451] wlan0 direct probe responded
[ 573.852457] wlan0: authenticate with AP f61e96b8
[ 573.854725] wlan0: authenticated
[ 573.854729] wlan0: associate with AP f61e96b8
[ 573.857495] wlan0: RX ReassocResp from f3446026 (capab=0x471 status=0 aid=1)
[ 573.857500] wlan0: associated
[ 633.859573] wlan0: beacon loss from AP f61e96b8 - sending probe request
[ 713.836948] wlan0: beacon loss from AP f61e96b8 - sending probe request
[ 813.885661] wlan0: beacon loss from AP f61e96b8 - sending probe request
[ 933.902736] wlan0: beacon loss from AP f61e96b8 - sending probe request

8200 (8200) wrote :

Yesterday I installed 9.04 but the bug is still there....

LilaLux (gerald-klotz-home) wrote :

I can confirm on my HP NC6400 the error remains on 9.04.

After manual reloading the module iwl3945 several times (hardware scan is already disabled by display_hw_scan=1), the connections is no more disconnecting frequently. But this step has to be repeated on each restart otherwise the wireless disconnects frequently.

Lian (lian.hui.lui) wrote :

I can confirm this on Jaunty fresh install.

Lian (lian.hui.lui) wrote :

LilaLux, how did you work around this? I've tried reloading the module, but don't know how to disable hardware scan. The problem still persists.

Chris (chrisspelberg) wrote :

Confirmed on MacBook 1,1 after upgrade to Jaunty (from Intrepid)

LilaLux (gerald-klotz-home) wrote :

Lian; add the following line

options iwl3945 disable_hw_scan=1

in „/etc/modprobe.conf“. Create „/etc/modprobe.conf“, if it does not exists.

Faeq (faeq) wrote :

i tryed using wicd instead of nm, and it worked fine, not that i'm saying this is a solution, but it would be a temperary
workaround for people who need to stay online.

8200 (8200) wrote :

So now I have tried using wicd instead but it still looses connection.

When I remove the iwl3945 modul ("sudo rmmod iwl3945") the kernel panics instantly.

Where can I disable the iwl3945 modul permanently?
I have added the line "blacklist iwl3945" to the file /etc/modprobe.d/blacklist.conf but it doesn't effect anything.

:-(

apratsunrthd (apratsunrthd) wrote :

Exact same issue here. I tried LilaLux's suggestion and it did nothing.

Lian (lian.hui.lui) wrote :

Would installing an older version of Network Manager fix this? I tried to install from .deb but I had to close nm first, then there was unmet dependencies. :(

Brent Lintner (brent-lintner) wrote :

I can confirm this as well.

Friends laptop (Inspiron 6400 running Inter PRO/Wireless 3945ABG card). At first the card would connect yet frequently disconnect requiring a NM restart (I initially figured it was just the singular router) but as well it happens on my router now. This is a important bug even if its for a couple of people, its really restrictive in Jaunty. :)

Brent Lintner (brent-lintner) wrote :

Apologies, but I forgot to add that WICD is working as well for me as heartwarmer confirmed. I will repost if WICD proves to be spotty like network-manager.

Kuma (bjorn-herrstrom) wrote :

I got the same problem with Inter PRO/Wireless 3945 AG or AGN card on a znote 3415 laptop.
Use encrypted wireless on wap level. Can see that the connection is still on after disconnect with the command; IWconfig in terminal. But there is no access to local or internet.
Tested with WICD, same problem and moved back to Network manager. Still problem persist and re installation wont work ether.

I can confirm this bug. On intrepid, wireless was working perfectly. I could work around it by turning on and off "flight mode" on my laptop, which restarted the wireless connections.

On my system, "sudo apt-get install wicd" fixed the issue. Let me know if you would like me to run any specific commands for debug output.

Felipe Castillo (fcastillo.ec) wrote :

I have the same problem, and installed WICD and the problem persists. This is a really annoying bug, I can't download stuff from a torrent or big files, because after a while I lose the internet, and have to disconnect and then re-connect to the network. It works sometimes for 20min, sometimes for 1min, it's really annoying....

Jeroen Bos (jeroenb) wrote :

My problem was solved when I set the AP security to WPA2 only and not WPA + WPA2, I have a netgear AP and the NIC is a 4965ABGN. Netgear site:

RECOMENDED - Please use “WPA2-ONLY security” instead of “WPA+WPA2 mix mode” on GUI router setting. This will prevent that the client from using incorrect WPA (TKIP) packet transmission error; the fail will trigger router 802.11 function - MIC failure. So, it can be fixed if you just select WPA2-only and has better security mode.

Chris (chrisspelberg) wrote :

Setting my Airport Express to use WPA2 only does not solve the problem unfortunately.. :-(

GD (g-d-monnezza) wrote :
Download full text (6.4 KiB)

Same unstable behavior here. Fresh install of Ubuntu 9.04 and updated system.
The wireless network is not protected (no WPA or WPE, nothing).
With Ubuntu 8.04 everithing worked fine but with 9.04 it is very difficult to get connected.
After many (~20) trials of wirleless connections aborted, the system, sometimes, get connected but for few seconds. Then everything starts again (20 trials, then connected for few seconds)
Sometimes, I can get connected for longer time without device deactivation (see logs), but with continuous associaton and disconnection steps)
I tried another NIC (Broadcom 4306 with restricted drivers) and it is worst :(

Here some details:

Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
 Subsystem: Intel Corporation Device 2701
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
 Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
 Latency: 64 (750ns min, 6000ns max), Cache Line Size: 32 bytes
 Interrupt: pin A routed to IRQ 19
 Region 0: Memory at ffcfe000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: [dc] Power Management version 2
  Flags: PMEClk- DSI+ D1- D2- AuxCurrent=0mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=1 PME-
 Kernel driver in use: ipw2200
 Kernel modules: ipw2200

tail /var/log/syslog
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1) starting connection 'Auto Default'
May 17 14:45:51 VirteX NetworkManager: <info> (eth1): device state change: 3 -> 4
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) scheduled...
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) started...
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) scheduled...
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1) Stage 1 of 5 (Device Prepare) complete.
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) starting...
May 17 14:45:51 VirteX NetworkManager: <info> (eth1): device state change: 4 -> 5
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1/wireless): connection 'Auto Default' requires no security. No secrets needed.
May 17 14:45:51 VirteX NetworkManager: <info> Config: added 'ssid' value 'Default'
May 17 14:45:51 VirteX NetworkManager: <info> Config: added 'scan_ssid' value '1'
May 17 14:45:51 VirteX NetworkManager: <info> Config: added 'key_mgmt' value 'NONE'
May 17 14:45:51 VirteX NetworkManager: <info> Activation (eth1) Stage 2 of 5 (Device Configure) complete.
May 17 14:45:51 VirteX NetworkManager: <info> Config: set interface ap_scan to 1
May 17 14:45:51 VirteX NetworkManager: <info> (eth1): supplicant connection state: disconnected -> scanning
May 17 14:45:51 VirteX NetworkManager: <info> (eth1): supplicant connection state: scanning -> associating
May 17 14:45:51 VirteX NetworkManager: <info> (eth1): supplicant connection state: associating -> disconnected
May 17 14:45:56 VirteX NetworkMa...

Read more...

Tommy (sulistomo) wrote :

Hi all,

I have Intel Corporation PRO/Wireless 2200BG [Calexico2] and using Dell Latitude D610, also having similar problem. The wireless connection always reconnecting every 3-5minutes.

I am quite new to Ubuntu, but when i'm using Hardi, i never meet this kind of problem.

Help... (!_!)

Tommy (sulistomo) wrote :

I dunno if the following information can help or not:

03:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
 Subsystem: Intel Corporation Device 2722
 Flags: bus master, medium devsel, latency 64, IRQ 17
 Memory at dfbff000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: <access denied>
 Kernel driver in use: ipw2200
 Kernel modules: ipw2200

i got those by running 'lspci -v' from the terminal.

or is there any other way to help u guys to solve this issue?

Tommy (sulistomo) wrote :

03:03.0 Network controller: Intel Corporation PRO/Wireless 2200BG [Calexico2] Network Connection (rev 05)
 Subsystem: Intel Corporation Device 2722
 Flags: bus master, medium devsel, latency 64, IRQ 17
 Memory at dfbff000 (32-bit, non-prefetchable) [size=4K]
 Capabilities: [dc] Power Management version 2
 Kernel driver in use: ipw2200
 Kernel modules: ipw2200

just did it again with 'sudo lspci -v'

Kuma (bjorn-herrstrom) wrote :

May be solved in update. A correction on my last post, I have a intel 4965 ag or agn card with ubuntu 9.04.

I did a update with restricted drivers and program restricted by copyright in; Software Sources manager for ubuntu 9.04.
It updated compiz and got what I think is a core update for linux, now my Internet connection has been stable for over 5 hours. Can some one with more knowledge than me confirm this as an solution?
Ill report if the 4965 ag or agn card stops to respond again.

Kuma (bjorn-herrstrom) wrote :

Update did not solve problem with frequent disconnect. But I notice that if my neighbor starts his wireless, I get a disconnect. Strength on signal is then 5% on "alien" network at max, and 65% on mine. But that is just a speculation. Could it be a problem with networks on the same radio length messes with the wireless drivers for ubuntu 9.04.

Pierpaolo Follia (pfollia) wrote :

Wait: I have a similar problem here. I have two laptop, an Apple MacBook (using Leopard) and my ibm using Jaunty. When I turn on the macbook, my laptop get disconnected from my wireless network. This problem doesn't happen during week ends (don't laugh): I think this is because the are few wireless network turned on around me.
So, Kuma, maybe your speculations are right.

I could come into the previous comments. At home I never had a problem, when at my student dorm I frequently lose the connection except when almost no other networks are available...

Chris (chrisspelberg) wrote :

Hmm I have about 12 networks visible here and have the disconnect problem.

nat (n-miotti) wrote :

well well well. I've a lot of networks visible here too. I thought that was a problem similar to bug 190144 ("Wireless connection lost during heavy network load"), but my post there never had any answers...

I've got a 4965 (Dell D830, 9.04) and a Linksys WRT610N. With it, I set up both 5GHz and 2.4GHz networks. My machine doesn't stay much longer connected. The 5 GHz network should save me from interference, but I keep jumping from one to another, to no avail. The simplest test is to transfer a large file, which will inevitably cause network hangs. Network manager sometimes recovers itself after a while, but at other times I have to progressively resort to reselecting either of the networks, disabling/enabling wireless, disabling/enabling networking and sometimes only a reboot will do it. I found that keeping a shell pinging the wireless router (or any other address) helps somewhat, stretching the up times. Mind you that I mostly use NFS inside my network, but not only.

This is a fresh install from yesterday, since the upgrade from 8.10 to 9.04 was presenting so many problems on key issues (wireless, suspend, kernel panics that I never had before since 2000 on various linuxen).

An interesting info is that I had this wireless problem on 8.04, gone with 8.10 and now back on 9.04. I don't recall precisely the timing, but I guess it more or less matches upgrades/reinstalls of Ubuntu versions.

ignacio (rozada-math) wrote :

Same here with a 4965 AGN card on a T61P thinkpad. Happens both at the office and at home; at home I share the pain with the landlady, although she has an intel IMac (probably similar chip). Has happened at least since Intrepid, and definitely all the time in Jaunty.

Stancu Florin (niflostancu) wrote :

I get it too...
I have Intel 3945ABG chip:
10:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)

When I try to transfer large amounts of data with high speed (about a minute with 2.5 MB/s rate), the connection drops... I get beacon loss messages on dmesg:
[ 7909.278766] wlan0: beacon loss from AP f660c6b8 - sending probe request
[ 8029.390298] wlan0: beacon loss from AP f660c6b8 - sending probe request
[ 8118.097743] iwl3945 0000:10:00.0: Microcode SW error detected. Restarting 0x82000008.
[ 8118.097767] iwl3945 0000:10:00.0: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x024C ser 0x004E0000

After that, you have to reconnect.

The only solution I have found so far is to limit the bandwidth to 200 KB/s (setting the router to B, getting away from the router), but you will have limited speed.
I tried live CD, reinstalling, updates, backports, latest microcode, changing router to no encryption/WEP/WPA2... problem still there.
Works on earlier Ubuntu versions (intreprid, hardy).

I have a Linksys WRT160N v2 router. I don't know if it depends on the router, but I only noticed the problem when I bought it. Before, I had a Dlink DI-524 and I was using jaunty for over a month without any problems, but I can't verify it, a lightning killed it.

I hope the problem will be discovered and fixed soon, it is very annoying...

Pierpaolo Follia (pfollia) wrote :

Uhm, it *seems* that with kernel 2.6.30 the problem is gone...not sure if the problem is solved, but now my connection is more stable (no disconnect since 2.6.30 installation).

kit (kitrule) wrote :

I built 2.6.30 r8 from source and it didn't help at all. Although, my problem with the Intel 3945 on Jaunty is that it never even connected to the WPA2 secured hidden wireless network in the first place... Windows 7 (build 7100) can connect fine, as could Hardy, can't remember whether Ibex/Intrepid could but I guess not judging from how I've left Windows running solely on the laptop for the last 6 months.

Pierpaolo: did you use the standard jaunty kernel with oldconfig? that's what I did.

This is the list of things I've tried so far in the order I tried them:
Backported modules=fail
Latest iwl3945 microcodes=fail
Wicd=fail
Ubuntu proposed kernel 2.6.28-13=failed beause not all packages were in the repos
kernel.org 2.6.30 r8 with oldconfig from standard jaunty 2.6.28-11 kernel=fail
Ubuntu proposed kernel 2.6.28-13=fail

Going to reinstall Jaunty again and try updating again. Won't bother compiling the 2.6.30 kernel again unless i see a fix somewhere in the changelog tho.

You are clearly stating a different problem. People here can connect
but lose the connection. As for now the "best" information gained is
that it possibly has something to do with the use frequency and the
networks in your neighbourhood that are desturbing it. If you can't
connect in the first place you should start a different bug report.

If you read the details of my previous post, interference is definitely not the problem (this happens with both 2.4 and lone 5GHz networks).

The one thing that made me able to use wireless was a hint a caught somewhere else:

iwconfig wlan0 power on

It didn't get rid of the problem, but now I can use the network, even with several GB file transfers. Letting a ping to a wired destination running also helps..

fari81 (fmmirzaei) wrote :

I also have the same problem.

I have a Vaio SR220 with Intel Corp. Wireless WiFi Link 5100. I have a Netgear Wireless Router (WGR 614). I get the beacon loss almost every two minutes which results in momentary loss of internet connection. Sometimes (less frequently) the connection loses the authentication and takes longer to connect again. Below is part of kernel.log that reflect both these two problems:

Jun 19 11:01:31 sahand kernel: [ 5973.475508] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:03:31 sahand kernel: [ 6093.284471] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:05:31 sahand kernel: [ 6213.192440] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:07:31 sahand kernel: [ 6333.307648] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:11:31 sahand kernel: [ 6573.127904] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:13:31 sahand kernel: [ 6693.652458] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:15:31 sahand kernel: [ 6813.461206] wlan0: deauthenticated (Reason: 7)
Jun 19 11:15:31 sahand kernel: [ 6813.472229] wlan0: direct probe to AP ffff88013c824ac0 try 1
Jun 19 11:15:31 sahand kernel: [ 6813.475870] wlan0 direct probe responded
Jun 19 11:15:31 sahand kernel: [ 6813.475877] wlan0: authenticate with AP ffff88013c824ac0
Jun 19 11:15:31 sahand kernel: [ 6813.480398] wlan0: authenticated
Jun 19 11:15:31 sahand kernel: [ 6813.480403] wlan0: associate with AP ffff88013c824ac0
Jun 19 11:15:31 sahand kernel: [ 6813.482858] wlan0: RX ReassocResp from ffff8800b4d74016 (capab=0x411 status=0 aid=2)
Jun 19 11:15:31 sahand kernel: [ 6813.482863] wlan0: associated
Jun 19 11:17:31 sahand kernel: [ 6933.060442] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:19:31 sahand kernel: [ 7053.379872] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:21:31 sahand kernel: [ 7173.289288] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request
Jun 19 11:23:31 sahand kernel: [ 7293.096676] wlan0: beacon loss from AP ffff88013c824ac0 - sending probe request

fari81 (fmmirzaei) wrote :

Forgot to mention:

$ uname -a
Linux sahand 2.6.28-11-generic #42-Ubuntu SMP Fri Apr 17 01:58:03 UTC 2009 x86_64 GNU/Linux

8200 (8200) on 2009-06-20
Changed in linux (Ubuntu):
status: New → Confirmed
nandayo (casier) wrote :

personnally, it is worse : no longer any wifi network, I cannot make anything...

see this report : Intel Wireless 3945ABG

Changed in network-manager (Ubuntu):
status: New → Invalid
93 comments hidden view all 173 comments
totof1169 (bourgeotc) wrote :

i have a linksys 160N too
i hane 2 vaio laptops with karmic ,one doesn t have any problem with this router and doesnt have any deconnection
the second with the 3945abg card was a problem ,bigger on jaunty than karmic (but still a problem)
i had good result after making this (i find it on a fotrum)

   1. sudo modprobe -r iwl3945
   2. create a file named iwl3945 in /etc/modprobe.d
   3. in that file enter the following entries
   alias wlan0 iwl3945
   options iwl3945 disable_hw_scan=1
   4. sudo modprobe iwl3945
   5. sudo ifconfig wlan0 up

christophe

Victorpictor (victorpictor) wrote :

Toto, I tried that and achieved a slight improvement, but for example a live Skype chat won't tolerate a 30 sec reconnection.

Stancu Florin (niflostancu) wrote :

great... the bug returns to me on lucid :(
I have dmesg full of:
[ 3251.707195] iwl3945 0000:10:00.0: No space for Tx
[ 3251.707202] iwl3945 0000:10:00.0: Error sending REPLY_RXON: enqueue_hcmd failed: -28
[ 3251.707210] iwl3945 0000:10:00.0: Error setting new configuration (-28).
[ 3251.707217] iwl3945 0000:10:00.0: No space for Tx
[ 3251.707224] iwl3945 0000:10:00.0: Error sending REPLY_RXON: enqueue_hcmd failed: -28
[ 3251.707230] iwl3945 0000:10:00.0: Error setting new configuration (-28).
[ 3251.707243] iwl3945 0000:10:00.0: No space for Tx
[ 3251.707249] iwl3945 0000:10:00.0: Error sending REPLY_TX_PWR_TABLE_CMD: enqueue_hcmd failed: -28

at the end I get the usual
[ 3627.485883] iwl3945 0000:10:00.0: Microcode SW error detected. Restarting 0x82000008.
[ 3627.485905] iwl3945 0000:10:00.0: Error Reply type 0x00000005 cmd REPLY_TX (0x1C) seq 0x0209 ser 0x00740000
[ 3627.557266] Registered led device: iwl-phy0::radio
[ 3627.557958] Registered led device: iwl-phy0::assoc
[ 3627.558144] Registered led device: iwl-phy0::RX
[ 3627.559098] Registered led device: iwl-phy0::TX

Sometimes after transfering large ammounts of data (~1GB) over wifi, my connections breaks... I have to connect again...
On karmic I still got those Microcode SW errors, but the connection didn't drop... Now I have some new messages and the connection is unstable...
Again, I have "10:00.0 Network controller: Intel Corporation PRO/Wireless 3945ABG [Golan] Network Connection (rev 02)"

Nice job, kernel team!

another_sam (anothersam) wrote :

@totof1168
step 4 returns me:
WARNING: All config files need .conf: /etc/modprobe.d/iwl3945, it will be ignored in a future release.
is this OK?

@Stancu
same here. the effect is a much more unstable connection.

I'll post if totof steps made any improvement on my machine.

another_sam (anothersam) wrote :
Download full text (3.2 KiB)

12 Mbps internet connection downloading a 4.4 GB iso.

After totof's steps I have regular speed drops each 100 seconds aprox, but in effect no connection drops.

Speed takes aprox 30 seconds to achieve 12Mbps, so there is aprox 70 seconds of full speed before each drop.

On syslog I can see a periodic round of "Failed to get channel info for channel ..." messages each 120 seconds .

Log:
...
May 2 11:31:30 me kernel: [ 1276.388104] iwl3945 0000:0c:00.0: Failed to get channel info for channel 136 [0]
May 2 11:31:31 me kernel: [ 1276.812100] iwl3945 0000:0c:00.0: Failed to get channel info for channel 140 [0]
May 2 11:33:27 me kernel: [ 1392.612082] iwl3945 0000:0c:00.0: Failed to get channel info for channel 100 [0]
May 2 11:33:27 me kernel: [ 1393.036083] iwl3945 0000:0c:00.0: Failed to get channel info for channel 104 [0]
May 2 11:33:27 me kernel: [ 1393.464036] iwl3945 0000:0c:00.0: Failed to get channel info for channel 108 [0]
May 2 11:33:28 me kernel: [ 1393.888134] iwl3945 0000:0c:00.0: Failed to get channel info for channel 112 [0]
May 2 11:33:28 me kernel: [ 1394.312101] iwl3945 0000:0c:00.0: Failed to get channel info for channel 116 [0]
May 2 11:33:29 me kernel: [ 1394.736050] iwl3945 0000:0c:00.0: Failed to get channel info for channel 120 [0]
May 2 11:33:29 me kernel: [ 1395.163633] iwl3945 0000:0c:00.0: Failed to get channel info for channel 124 [0]
May 2 11:33:30 me kernel: [ 1395.592104] iwl3945 0000:0c:00.0: Failed to get channel info for channel 128 [0]
May 2 11:33:30 me kernel: [ 1396.016109] iwl3945 0000:0c:00.0: Failed to get channel info for channel 132 [0]
May 2 11:33:30 me kernel: [ 1396.440074] iwl3945 0000:0c:00.0: Failed to get channel info for channel 136 [0]
May 2 11:33:31 me kernel: [ 1396.864094] iwl3945 0000:0c:00.0: Failed to get channel info for channel 140 [0]
May 2 11:35:27 me kernel: [ 1512.568041] iwl3945 0000:0c:00.0: Failed to get channel info for channel 100 [0]
May 2 11:35:27 me kernel: [ 1512.996076] iwl3945 0000:0c:00.0: Failed to get channel info for channel 104 [0]
May 2 11:35:27 me kernel: [ 1513.421052] iwl3945 0000:0c:00.0: Failed to get channel info for channel 108 [0]
May 2 11:35:28 me kernel: [ 1513.845066] iwl3945 0000:0c:00.0: Failed to get channel info for channel 112 [0]
May 2 11:35:28 me kernel: [ 1514.273073] iwl3945 0000:0c:00.0: Failed to get channel info for channel 116 [0]
May 2 11:35:29 me kernel: [ 1514.696076] iwl3945 0000:0c:00.0: Failed to get channel info for channel 120 [0]
May 2 11:35:29 me kernel: [ 1515.120100] iwl3945 0000:0c:00.0: Failed to get channel info for channel 124 [0]
May 2 11:35:29 me kernel: [ 1515.545738] iwl3945 0000:0c:00.0: Failed to get channel info for channel 128 [0]
May 2 11:35:30 me kernel: [ 1515.973115] iwl3945 0000:0c:00.0: Failed to get channel info for channel 132 [0]
May 2 11:35:30 me kernel: [ 1516.397086] iwl3945 0000:0c:00.0: Failed to get channel info for channel 136 [0]
May 2 11:35:31 me kernel: [ 1516.821727] iwl3945 0000:0c:00.0: Failed to get channel info for channel 140 [0]
May 2 11:37:27 me kernel: [ 1632.572127] iwl3945 0000:0c:00.0: Failed to get channel info for channel 100 [0]
May 2 11:37:27 me kernel: [ 1...

Read more...

HidingGeryan (john-nevill) wrote :

This one is a no-go in the Lucid release too. I gave totof's wlan0 switcharoo a try and was able to download a big honkin file. Things were looking hopeful, but right after it completed I dropped and had to reset network manager (or turn off wireless with the hardware switch). I have a Intel(R) PRO/Wireless 3945ABG/BG running on Lucid with 2.6.32-21-generic. Frustrating that there aren't some wifi ninjas out in ubuntu land that have whooped this well known bug.

totof1169 (bourgeotc) wrote :

i have just made a fresh installation of lucid ,my problem is still here
the solution that i used before is not solving the problem ,on my case the connection drop every 10min and reconnect
this is ok to download any torrent files ,but not for live chat ,and for example tranferring large file on a nas

narnie (signupnarnie) wrote :

Folks,

I really hate to say it, but your choices are these because Canonical doesn't seem interested in maintaining wireless reliability:

1) Get new hardware
    a) Either a new computer or
    b) A wireless USB or PCMCIA or ExpressCard
2) Revert back to where Ubuntu comes from, Debian as this driver is working in Debian (or use another distro as so many seem good and more user friendly than in the past these days (eg Mandriva, OpenSUSE, Fedora, etc)

I really feel this pain, but after over a year and no fix, including the next LTS, I fear that there is no fix for this other than the above.

Shame on Ubuntu/Canonical for not paying any real attention to this bug.

Narnie

another_sam (anothersam) wrote :

@totof
Is working sufficiently (speed drops but connection endures) for me with mainline ppa kernel 2.6.34rc6.
Try:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v2.6.34-rc6-lucid/

Stephan Müller (megandy) wrote :

The same bug exists in lucid lynx on my T60 Lenovo machine. Especially this happens more often when traffic is high.

Barry Gaunt (barry-gaunt) wrote :

I've worked around this problem on my thinkpad T60 by simply pluging in an Atheros PCMCIA card. Lot less agro than 3945 debugging.

8200 (8200) wrote :

The bug also still persist on my acer aspire 5610 with 3945ABG.

:-(

tags: added: kernel-net
vipek (vipek) wrote :

How is it possible that so critical bug is still not solved, after over two years? It's not even assigned to anyone! And off course not marked as citical!
In such moments, I think opensource sucks. Sorry for my honesty, but this is true. I really like Ubuntu, but I cannot recommend it to any of my not-linux-guru friends, because WiFi simply doesn't work. Doesn't is critical bug???

My laptop:
HP Compaq nx7300, Intel PRO/Wireless 3945ABG, Ubuntu 10.04

For me the only solution that works is:
sudo apt-get remove network-manager
sudo apt-get install wicd

zob (zob) wrote :

This one is the same bug don't you think?
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/317728

Laurent Schoupi (schoupi) wrote :

I used to have this bug. Now with a clean install of 10.10 beta (2.6.35-20-generic kernel) i don't have this bug anymore. Before upgrading to Maverick, i managed to overcome this bug by switching off the 802.11n and kept only b/g. After the upgrade, i could use again the 802.11n and surf fast.

another_sam (anothersam) wrote :

I'm using 10.10 beta since 5 days ago and during these days I believe I have had no issues but I'm not sure. I'll keep observing. In my case I was and I am using b/g.

Wadelius (wadelius) wrote :

I was finally able to fix this

I've had this problem for a long time and have tried a lot of fixes, none of them have worked. I finally gave up and ordered a new network card with another chip. It has not arrived yet, so naturally I find a solution that works when trying to take care of another problem :-). In my case the cause of the connection dropping was tcp window scaling. I found it here:
http://wheel.troxo.com/2008/06/05/tcp-window-scaling-conundrum/
and here:
http://www.youtube.com/watch?v=N_AzSOJbKlI

Some network cards have problems with tcp window scaling, which means changing the size of the packets on demand. You can either change the max min boundaries of the packets, or disable scaling altogether. What worked for me was disabling it.

To disables tcp window scaling you need to add the line below to your /etc/sysctl.conf.
net.ipv4.tcp_window_scaling=0

To reset run
sudo sysctl -p

Wadelius (wadelius) wrote :

Oh, forgot. I'm running Ubuntu 10.04 with kernel 2.6.34.

8200 (8200) wrote :

Today I have tried Ubuntu 10.10 beta1 i386 on my acer Aspire 5610.

The bug still persist :-(((

I have also tried the Wadelius-workaround (disable tcp window scaling) - didn't work.

another_sam (anothersam) wrote :

17 days with Ubuntu 10.10 beta and 0 disconnections observed. I guess this is fixed at least for Dell Inspiron 9400 (E1705).

Stas Sușcov (sushkov) wrote :

Please fix the Maverick (upstream kernel) for T400 thinkpads, this is my 3rd bug report after suspend and video issues!!!

---
Oct 28 23:09:44 rivalry kernel: [14225.304073] No probe response from AP 00:19:5b:00:ef:77 after 500ms, disconnecting.
---

My wlan card:
---
03:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection
---

Disabling tcp window scaling seems to solve my problems also (tested with copiing iso-files).

as instructed, add: net.ipv4.tcp_window_scaling=0 to /etc/sysctl.conf.

If problems return I'll report here that it's not a complete solution.

totof1169 (bourgeotc) wrote :

disabling tcp windows scaling doesn t solve the problem for me ,i m still on lucid

i have tried on maverick ,still the problem , (i had to come back on lucid du to a video bug )
i have this problem since jaunty ,and don t see any way to solve this problem !!!!!

Did you check if your router is trying to negotiate b or n mode wireless? Mine got better when I forced it to G only.

Matt
------

On 07/11/2010, at 7:52, totof1169 <email address hidden> wrote:

> disabling tcp windows scaling doesn t solve the problem for me ,i m
> still on lucid
>
> i have tried on maverick ,still the problem , (i had to come back on lucid du to a video bug )
> i have this problem since jaunty ,and don t see any way to solve this problem !!!!!
>
> --
> [Jaunty] Intel wireless 3945ABG is unstable and disconnects frequently
> https://bugs.launchpad.net/bugs/348204
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
> Status in “network-manager” package in Ubuntu: Invalid
>
> Bug description:
> I use Jaunty alpha 6 with kernel 2.6.28-11
>
> The wireless connection is realy unstable with intel 3945ABG. I frequently lost the connection and i have to restart NetworkManager (sudo /etc/init.d/NetworkManager restart) to connect again.
>
> It seems going worst and worst since the fifth alpha.
>
> If you need some informations, feel free to contact me.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/348204/+subscribe

totof1169 (bourgeotc) wrote :

yes ,i already check it ,no difference with or without the b or n mode

2010/11/7 Matthew In Randwick <email address hidden>

> Did you check if your router is trying to negotiate b or n mode
> wireless? Mine got better when I forced it to G only.
>
> Matt
> ------
>
>
> On 07/11/2010, at 7:52, totof1169 <email address hidden> wrote:
>
> > disabling tcp windows scaling doesn t solve the problem for me ,i m
> > still on lucid
> >
> > i have tried on maverick ,still the problem , (i had to come back on
> lucid du to a video bug )
> > i have this problem since jaunty ,and don t see any way to solve this
> problem !!!!!
> >
> > --
> > [Jaunty] Intel wireless 3945ABG is unstable and disconnects frequently
> > https://bugs.launchpad.net/bugs/348204
> > You received this bug notification because you are a direct subscriber
> > of the bug.
> >
> > Status in “linux” package in Ubuntu: Confirmed
> > Status in “network-manager” package in Ubuntu: Invalid
> >
> > Bug description:
> > I use Jaunty alpha 6 with kernel 2.6.28-11
> >
> > The wireless connection is realy unstable with intel 3945ABG. I
> frequently lost the connection and i have to restart NetworkManager (sudo
> /etc/init.d/NetworkManager restart) to connect again.
> >
> > It seems going worst and worst since the fifth alpha.
> >
> > If you need some informations, feel free to contact me.
> >
> > To unsubscribe from this bug, go to:
> > https://bugs.launchpad.net/ubuntu/+source/linux/+bug/348204/+subscribe
>
> --
> [Jaunty] Intel wireless 3945ABG is unstable and disconnects frequently
> https://bugs.launchpad.net/bugs/348204
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” package in Ubuntu: Confirmed
> Status in “network-manager” package in Ubuntu: Invalid
>
> Bug description:
> I use Jaunty alpha 6 with kernel 2.6.28-11
>
> The wireless connection is realy unstable with intel 3945ABG. I frequently
> lost the connection and i have to restart NetworkManager (sudo
> /etc/init.d/NetworkManager restart) to connect again.
>
> It seems going worst and worst since the fifth alpha.
>
> If you need some informations, feel free to contact me.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/348204/+subscribe
>

--
CHRISTOPHE

totof1169 (bourgeotc) wrote :

i ve tried with maverick ,still the same ,i give up!!
i bought anoyher computer no probleme on wifi (but video and sound problem ,all with intel)!!!!!!!!!

AaronELBorg (elmastero74) wrote :

I'm seeing it in Lucid as well.

The /etc/sysctl.conf trick doesn't seem to be working as I still drop the connection.

Never had this problem in Hardy.

Antti P Miettinen (apm) wrote :

Hmm.. the title seems a bit off as the reports include e.g. lucid and Intel 5100AGN. I have Dell Latitude E4300 with Intel 5100AGN, I'm running lucid and sometimes my connection to a Zyxel 11g AP just keeps disconnecting. I do not know whether it is related to using sshfs over IPv6 or just the amount of traffic. When there is a disconnection, dmesg contains:

No probe response from AP xx:xx:xx:xx:xx:xx after 500ms, disconnecting.

another_sam (anothersam) wrote :

4 months after #153 I can assure the bug is fixed for me in Ubuntu 10.10. I have an 3945abg.

@Antti, have you tried with 10.10?

totof1169 (bourgeotc) wrote :

i change my computer and let this one for my soon with edubuntu 10.10 ,no desconection for the moment

Antti P Miettinen (apm) wrote :

@another_sam, for be the problem is so rare it is difficult to arrange robust comparison. For example, I have not seen the problem after I posted my comment even though my usage pattern has not changed. Still running lucid.

Marc Goujon (markitoxs) wrote :

This is interesting,

I have been experiencing the same issue with pretty much every single version since Karmic. And today I have tried to connect to the network without logging in gnome. I have gone to a virtual console (CTRL+ALT+F1 instead of typing the user and pass in GDM) and set up everything a la old school (iwconfig, dhclient,) after booting up and my connection is rock solid for the last hour. Usually it' d take 3 min to disconnect.

I though it might help people to track down where the issue is coming from.

m

Marc Goujon (markitoxs) wrote :

16 hours so far....

Marc Goujon (markitoxs) wrote :

Great, I have no idea what happened, but since a couple hours ago, its back to the same behaviour.

another_sam (anothersam) wrote :

this bug is back. not only in 11.04 but also with updated 10.10. i'm so disappointed.

Oleg German (oleg-german) wrote :

still present in my clean Natty instalation

It's pointless to continue with this thread, since no one at Ubuntu cares. Do yourself a favour, get rid of the network-manager applet and install something else. I installed wicd long ago; the interface is not as nice, but at least wireless works as expected.

Long ago I traced the problem to the network-manager applet, even on another Linux installation (gentoo).

another_sam (anothersam) wrote :

Actually I feel this thread is useless, at 99%. For the remaining 1%, I'm going to say that today my wifi is working. Apparently, yesterday updates included some change that fixed my wifi (and today, after restarting, is when I'm enjoying the effects).

I don't discard at all that today's updates break my wifi again for tomorrow.

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
DimitryPolivaev (dpolivaev) wrote :

For me the problem seems to be solved since I updated to Ubuntu 11.04.

Displaying first 40 and last 40 comments. View all 173 comments or add a comment.